{
    "fields": [
        {
            "name": "geneName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ensemblGeneId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ensemblTranscriptId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "strand",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "biotype",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "exonOverlap",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "number",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "percentage",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "ExonOverlap",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "transcriptAnnotationFlags",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "transcriptFlags",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "cdnaPosition",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "cdsPosition",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "codon",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "proteinVariantAnnotation",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "default": null,
                            "name": "uniprotAccession",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "default": null,
                            "name": "uniprotName",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "position",
                            "type": "int"
                        },
                        {
                            "name": "reference",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "alternate",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "uniprotVariantId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "functionalDescription",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "substitutionScores",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "score",
                                                "type": "double"
                                            },
                                            {
                                                "name": "source",
                                                "type": "string"
                                            },
                                            {
                                                "name": "description",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "Score",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "keywords",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "features",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "id",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "start",
                                                "type": "int"
                                            },
                                            {
                                                "name": "end",
                                                "type": "int"
                                            },
                                            {
                                                "name": "type",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "description",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "ProteinFeature",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "ProteinVariantAnnotation",
                    "type": "record"
                }
            ]
        },
        {
            "name": "sequenceOntologyTerms",
            "type": {
                "items": {
                    "fields": [
                        {
                            "name": "accession",
                            "type": "string"
                        },
                        {
                            "name": "name",
                            "type": "string"
                        }
                    ],
                    "name": "SequenceOntologyTerm",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "ConsequenceType",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}